package cmd

import (
	"github.com/spf13/cobra"
	"yizhisec.com/hsv2/forge/internal/controller/maker"
)

func makeBinaries() *cobra.Command {
	cmd := &cobra.Command{
		Use:     "binaries",
		Aliases: []string{"bin", "B"},
		Short:   "Build binary files",
		Long:    `Build all required binary files for the project.`,
		RunE: func(cmd *cobra.Command, args []string) error {
			mk := maker.NewMaker()
			return mk.Binary(cmd.Context())
		},
	}

	return cmd
}
